Imports CarLib


Public Class CarForm

    Friend _carClass As Car

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

    End Sub

    Public Sub New(ByVal carClass As Car)
        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        _carClass = carClass
    End Sub

    Private Sub CarForm_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        carIDValue.Text = _carClass.CarID
        carMakeValue.Text = _carClass.CarMake
        carModelValue.Text = _carClass.CarModel
        engineTypeValue.Text = _carClass.EngineType
    End Sub
End Class